#include <stdio.h>
#include <stdlib.h>

int main()
{
    int x, y, a, b;
    scanf("%d %d %d %d", &a, &b, &x, &y);
    if(x==a && y==b)
        printf("nijedan");
    else
        if(x==a && y!=b)
            printf("drugi");
        else
            if(x!=a && y==b)
                printf("prvi");
            else
                if(x!=a && y!=b)
                    printf("?");
    return 0;
}